#include <ArduinoOSC.h>
OscWiFi osc;

void setup()
{
    Serial.begin(115200);
    Serial.println("HOLA");
  
    pinMode(13,OUTPUT);
  
    WiFi.begin("Rogiana", "CSeH45H0nmfd2934Gd!");
    WiFi.config(IPAddress(10,0,0,20), IPAddress(10,0,0,1), IPAddress(255,255,255,0));

    while (WiFi.status() != WL_CONNECTED) {
      delay(500);
      Serial.print(".");
    }
    
    osc.begin(8500);
    
    // add callbacks...
    osc.subscribe("/toboard", [](OscMessage& m)
    {
        //Serial.print(m.ip()); Serial.print(" ");
        //Serial.print(m.port()); Serial.print(" ");
        //Serial.print(m.size()); Serial.print(" ");
        //Serial.print(m.address()); Serial.print(" ");
        
        // do something with osc message
        //Serial.print(m.arg<int>(0));    Serial.print(" ");
        //Serial.print(m.arg<float>(1));  Serial.print(" ");
        //Serial.print(m.arg<String>(0)); Serial.println();

        digitalWrite(13, HIGH);
        delay(1000);
        digitalWrite(13, LOW);

        if( m.arg<String>(0) == "Hello Board!" )
        {
          osc.send("10.0.0.5", 9000, "/fromboard", "Hi there"); // send osc packet in one line
        }
        else if( m.arg<String>(0) == "How are you?" )
        {
          osc.send("10.0.0.5", 9000, "/fromboard", "I'm... board :)"); // send osc packet in one line
        }    
    });
}

void loop()
{
    osc.parse(); // should be called
}
